petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatCompositeSetMatStructure

Indicates structure of matrices in the composite matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCompositeSetMatStructure(Mat mat,MatStructure str)

Not Collective

### Input Parameters

| mat | - the composite matrix
| str | - either SAME_NONZERO_PATTERN, DIFFERENT_NONZERO_PATTERN (default) or SUBSET_NONZERO_PATTERN

### Notes

Information about the matrices structure is used in MatCompositeMerge() for additive composite matrix.

### See Also

MatAXPY(), MatCreateComposite(), MatCompositeMerge() MatCompositeGetMatStructure(), MATCOMPOSITE

### Level

advanced

### Location

src/mat/impls/composite/mcomposite.c

### Examples

src/mat/tutorials/ex9.c.html

### Implementations

MatCompositeSetMatStructure_Composite in src/mat/impls/composite/mcomposite.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages